> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# public/get_funding_rate_value

> Retrieves the funding rate (interest rate) value for a perpetual instrument over a specified time period. Funding rates are periodic payments exchanged between long and short positions in perpetual contracts.

This method is applicable only for PERPETUAL instruments. The funding rate is typically expressed as a percentage and is used to keep the perpetual contract price aligned with the underlying index price.

[Try in API console](https://test.deribit.com/api_console?method=%2Fpublic%2Fget_funding_rate_value)





## OpenAPI

````yaml /api-reference/coinbase-deribit-app-api/adv-starbase-openapi.json get /public/get_funding_rate_value
openapi: 3.0.0
info:
  description: Coinbase Retail Advanced Trade API for derivatives trading.
  title: Coinbase Retail Advanced Trade (Deribit) API
  version: 2.1.1
servers:
  - url: https://drb.coinbase.com/api/v2
security: []
tags:
  - description: Can only be used over websockets.
    name: WebSocket Only
  - description: Public methods can be used without authentication.
    name: Public
  - description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
    name: Private
  - name: Authentication
  - name: Session Management
  - description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
    name: Subscription Management
  - name: Account Management
  - name: Trading
  - name: Market Data
paths:
  /public/get_funding_rate_value:
    get:
      tags:
        - Market Data
        - Public
      description: >+
        Retrieves the funding rate (interest rate) value for a perpetual
        instrument over a specified time period. Funding rates are periodic
        payments exchanged between long and short positions in perpetual
        contracts.


        This method is applicable only for PERPETUAL instruments. The funding
        rate is typically expressed as a percentage and is used to keep the
        perpetual contract price aligned with the underlying index price.


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fpublic%2Fget_funding_rate_value)

      parameters:
        - description: Instrument name
          in: query
          name: instrument_name
          required: true
          schema:
            $ref: '#/components/schemas/instrument_name'
        - description: >-
            The earliest timestamp to return result from (milliseconds since the
            UNIX epoch)
          in: query
          name: start_timestamp
          required: true
          schema:
            $ref: '#/components/schemas/timestamp'
        - description: >-
            The most recent timestamp to return result from (milliseconds since
            the UNIX epoch)
          in: query
          name: end_timestamp
          required: true
          schema:
            $ref: '#/components/schemas/timestamp'
      requestBody:
        content:
          application/json:
            examples:
              request:
                description: JSON-RPC Request Example
                value:
                  id: 7617
                  jsonrpc: '2.0'
                  method: public/get_funding_rate_value
                  params:
                    end_timestamp: 1569974400000
                    instrument_name: BTC-PERPETUAL
                    start_timestamp: 1569888000000
        description: JSON-RPC request body
      responses:
        '200':
          $ref: '#/components/responses/PublicGetFundingRateValueResponse'
components:
  schemas:
    instrument_name:
      description: Unique instrument identifier
      example: BTC-PERPETUAL
      type: string
    timestamp:
      description: The timestamp (milliseconds since the Unix epoch)
      example: 1536569522277
      type: integer
    PublicGetFundingRateValueResponse:
      properties:
        id:
          description: The id that was sent in the request
          type: integer
        jsonrpc:
          description: The JSON-RPC version (2.0)
          enum:
            - '2.0'
          type: string
        result:
          type: number
      required:
        - jsonrpc
        - result
      type: object
  responses:
    PublicGetFundingRateValueResponse:
      content:
        application/json:
          examples:
            response:
              description: Response example
              value:
                id: 7617
                jsonrpc: '2.0'
                result: -0.00025056853702101664
          schema:
            $ref: '#/components/schemas/PublicGetFundingRateValueResponse'
      description: Success response

````